# QwtMetricsMap Class Reference

A Map to translate between layout, screen and paint device metrics. More...

`#include <qwt_layout_metrics.h>`

List of all members.

## Public Member Functions

bool | isIdentity () const
void | setMetrics (const QPaintDevice *layoutMetrics, const QPaintDevice *deviceMetrics)
int | layoutToDeviceX (int x) const
int | deviceToLayoutX (int x) const
int | screenToLayoutX (int x) const
int | layoutToScreenX (int x) const
int | layoutToDeviceY (int y) const
int | deviceToLayoutY (int y) const
int | screenToLayoutY (int y) const
int | layoutToScreenY (int y) const
QPoint | layoutToDevice (const QPoint &, const QPainter *=NULL) const
QPoint | deviceToLayout (const QPoint &, const QPainter *=NULL) const
QPoint | screenToLayout (const QPoint &) const
QPoint | layoutToScreen (const QPoint &point) const
QSize | layoutToDevice (const QSize &) const
QSize | deviceToLayout (const QSize &) const
QSize | screenToLayout (const QSize &) const
QSize | layoutToScreen (const QSize &) const
QRect | layoutToDevice (const QRect &, const QPainter *=NULL) const
QRect | deviceToLayout (const QRect &, const QPainter *=NULL) const
QRect | screenToLayout (const QRect &) const
QRect | layoutToScreen (const QRect &) const
QwtPolygon | layoutToDevice (const QwtPolygon &, const QPainter *=NULL) const
QwtPolygon | deviceToLayout (const QwtPolygon &, const QPainter *=NULL) const

## Static Public Member Functions

static QwtPolygon | translate (const QMatrix &, const QwtPolygon &)
static QRect | translate (const QMatrix &, const QRect &)

## Detailed Description

A Map to translate between layout, screen and paint device metrics.

Qt3 supports painting in integer coordinates only. Therefore it is not possible to scale the layout in screen coordinates to layouts in higher resolutions ( f.e printing ) without losing the higher precision. QwtMetricsMap is used to incorporate the various widget attributes ( always in screen resolution ) into the layout/printing code of QwtPlot.

Qt4 is able to paint floating point based coordinates, what makes it possible always to render in screen coordinates ( with a common scale factor ). QwtMetricsMap will be obsolete as soon as Qt3 support has been dropped ( Qwt 6.x ).

## Member Function Documentation

QRect QwtMetricsMap::translate | ( | const QMatrix & | m,
|  | const QRect & | rect |
| ) |  |  | `[static]`

Wrapper for QMatrix::mapRect.

Parameters:

  | m | Matrix
  | rect | Rectangle to translate

Returns:
  Translated rectangle

QwtPolygon QwtMetricsMap::translate | ( | const QMatrix & | m,
|  | const QwtPolygon & | pa |
| ) |  |  | `[static]`

Wrapper for QMatrix::map.

Parameters:

  | m | Matrix
  | pa | Polygon to translate

Returns:
  Translated polygon